org.apache.flume.formatter.output

## Class PathManagerFactory

- java.lang.Object
- - org.apache.flume.formatter.output.PathManagerFactory

-     public class PathManagerFactory
      extends Object

  Create PathManager instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathManagerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathManager` | `getInstance(String managerType, Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathManagerFactory

          public PathManagerFactory()

  - ### Method Detail

    - #### getInstance

          public static PathManager getInstance(String managerType,
                                Context context)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.